| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
IAppMgrUI Class Referenceabstract

Application Manager User Interface. More...

`#include <GaudiKernel/IAppMgrUI.h>`

Inheritance diagram for IAppMgrUI:
[legend]
Collaboration diagram for IAppMgrUI:
[legend]

## Public Member Functions
| DeclareInterfaceID (IAppMgrUI, 4, 0)
| InterfaceID. More...
virtual StatusCode | run ()=0
| Run the complete job (from initialize to terminate) More...
virtual StatusCode | configure ()=0
| Configure the job. More...
virtual StatusCode | terminate ()=0
| Terminate the job. More...
virtual StatusCode | initialize ()=0
| Initialize the job. More...
virtual StatusCode | finalize ()=0
| Finalize the job. More...
virtual StatusCode | nextEvent (int maxevt)=0
| Process the next maxevt events. More...
virtual StatusCode | start ()=0
| Start (from INITIALIZED to RUNNING). More...
virtual StatusCode | stop ()=0
| Stop (from RUNNING to INITIALIZED). More...
virtual StatusCode | reinitialize ()=0
| Initialization (from INITIALIZED or RUNNING to INITIALIZED, via CONFIGURED). More...
virtual StatusCode | restart ()=0
| Initialization (from RUNNING to RUNNING, via INITIALIZED). More...
virtual Gaudi::StateMachine::State | FSMState () const =0
| Get the current state. More...
virtual void | outputLevelUpdate ()=0
| Function to call to update the outputLevel of the components (after a change in MessageSvc). More...
Public Member Functions inherited from INamedInterface
| DeclareInterfaceID (INamedInterface, 1, 0)
| InterfaceID. More...
virtual const std::string & | name () const =0
| Retrieve the name of the instance. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status : StatusCode::code_t { Status::FAILURE = 0, Status::SUCCESS = 1, Status::NO_INTERFACE, Status::VERSMISMATCH, Status::LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Application Manager User Interface.

This is the interface offered to the UI to control the JOB or Application.

Author
  Pere Mato

Date
  30/10/98

Definition at line 20 of file IAppMgrUI.h.

## Member Function Documentation

## ◆ configure()

virtual StatusCode IAppMgrUI::configure | ( |  | ) |
| pure virtual

Configure the job.

## ◆ DeclareInterfaceID()

IAppMgrUI::DeclareInterfaceID | ( | IAppMgrUI | ,
|  | 4 | ,
|  | 0 |
| ) |  |

InterfaceID.

## ◆ finalize()

virtual StatusCode IAppMgrUI::finalize | ( |  | ) |
| pure virtual

Finalize the job.

## ◆ FSMState()

virtual Gaudi::StateMachine::State IAppMgrUI::FSMState | ( |  | ) | const
| pure virtual

Get the current state.

## ◆ initialize()

virtual StatusCode IAppMgrUI::initialize | ( |  | ) |
| pure virtual

Initialize the job.

## ◆ nextEvent()

virtual StatusCode IAppMgrUI::nextEvent | ( | int | maxevt | ) |
| pure virtual

Process the next maxevt events.

## ◆ outputLevelUpdate()

virtual void IAppMgrUI::outputLevelUpdate | ( |  | ) |
| pure virtual

Function to call to update the outputLevel of the components (after a change in MessageSvc).

## ◆ reinitialize()

virtual StatusCode IAppMgrUI::reinitialize | ( |  | ) |
| pure virtual

Initialization (from INITIALIZED or RUNNING to INITIALIZED, via CONFIGURED).

## ◆ restart()

virtual StatusCode IAppMgrUI::restart | ( |  | ) |
| pure virtual

Initialization (from RUNNING to RUNNING, via INITIALIZED).

## ◆ run()

virtual StatusCode IAppMgrUI::run | ( |  | ) |
| pure virtual

Run the complete job (from initialize to terminate)

## ◆ start()

virtual StatusCode IAppMgrUI::start | ( |  | ) |
| pure virtual

Start (from INITIALIZED to RUNNING).

## ◆ stop()

virtual StatusCode IAppMgrUI::stop | ( |  | ) |
| pure virtual

Stop (from RUNNING to INITIALIZED).

## ◆ terminate()

virtual StatusCode IAppMgrUI::terminate | ( |  | ) |
| pure virtual

Terminate the job.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IAppMgrUI.h